/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_POCO                                                      */
/* Tabela : PRODOCORRE                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 13/02/2006 - Blenet Ferreira Simes                                        */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_POCO'   and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_POCO
GO

CREATE TRIGGER DTULTATU_POCO
ON PRODOCORRE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRODOCORRE', null, 'CDGRPOCOR='+CDGRPOCOR+';'+'CDOCORR='+CDOCORR+';'+'CDPRODUTO='+CDPRODUTO+';',
			       GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRODOCORRE
      SET DTULTATUPOCO = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(PRODOCORRE.CDGRPOCOR,0) = ISNULL(INSERTED.CDGRPOCOR,0)) AND
            (ISNULL(PRODOCORRE.CDOCORR,0)   = ISNULL(INSERTED.CDOCORR,0))   AND
            (ISNULL(PRODOCORRE.CDPRODUTO,0) = ISNULL(INSERTED.CDPRODUTO,0));
   END;
END;
GO
